<div class="d-flex justify-content-center">
  <div class="col-8">
    @if (orderNotaris) {
      <div>
        <h2 data-cy="orderNotarisDetailsHeading"><span>Order Notaris</span></h2>

        <hr />

        <jhi-alert-error></jhi-alert-error>

        <jhi-alert></jhi-alert>

        <dl class="row-md jh-entity-details">
          <dt><span>ID</span></dt>
          <dd>
            <span>{{ orderNotaris.id }}</span>
          </dd>
          <dt><span>Tanggal</span></dt>
          <dd>
            <span>{{ orderNotaris.tanggal | formatMediumDate }}</span>
          </dd>
          <dt><span>Status</span></dt>
          <dd>
            <span>{{ orderNotaris.status }}</span>
          </dd>
          <dt><span>Order Data</span></dt>
          <dd>
            @if (orderNotaris.orderData) {
              <div>
                <a [routerLink]="['/order-data', orderNotaris.orderData.id, 'view']">{{ orderNotaris.orderData.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Notaris</span></dt>
          <dd>
            @if (orderNotaris.notaris) {
              <div>
                <a [routerLink]="['/notaris', orderNotaris.notaris.id, 'view']">{{ orderNotaris.notaris.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Akta</span></dt>
          <dd>
            @if (orderNotaris.akta) {
              <div>
                <a [routerLink]="['/akta', orderNotaris.akta.id, 'view']">{{ orderNotaris.akta.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Order Kerja</span></dt>
          <dd>
            @if (orderNotaris.orderKerja) {
              <div>
                <a [routerLink]="['/order-kerja', orderNotaris.orderKerja.id, 'view']">{{ orderNotaris.orderKerja.id }}</a>
              </div>
            }
          </dd>
        </dl>

        <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
        </button>

        <button type="button" [routerLink]="['/order-notaris', orderNotaris.id, 'edit']" class="btn btn-primary">
          <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
        </button>
      </div>
    }
  </div>
</div>
